import org.faceless.pdf2.*;
import java.io.*;
import java.security.GeneralSecurityException;

public class Sign
{
    public static void main(String[] args)
        throws IOException, GeneralSecurityException
    {
        PDF pdf = new PDF();
	PDFPage page = pdf.newPage(PDF.PAGESIZE_A4);
	Form form = pdf.getForm();

	SignatureHandlerFactory factory = new DummySignatureHandlerFactory();
	FormSignature sig = new FormSignature(null, null, null, factory);
	form.getElements().put("DummySig", sig);

	pdf.render(new FileOutputStream("Signed.pdf"));
    }
}
